#include <iostream>
#include <string>

using namespace std;

long long niz[10];

int main()
{
	string a;
	cin >> a;
	int pom = 0;
	long long rez = 0;
	for (int i = 0; i<a.length(); i++)
	{
		niz[a[i]-48]++;
	}
	for (int i = 0; i<a.length(); i++)
	{
		if (i != 0 && i != a.length() - 1)
		{
			if (niz[a[i] - 48] > 1 && a[i] != a[i - 1] && a[i] != a[i + 1])
			{
				rez++;
				niz[a[i] - 48]--;
				a[i] = a[i + 1];
			}
			else niz[a[i] - 48]--;
		}
		else if (i == 0)
		{
			if (niz[a[i] - 48] > 1 && a[i] != a[i + 1])
			{
				rez++;
				niz[a[i] - 48]--;
				a[i] = a[i + 1];
			}
			else niz[a[i] - 48]--;
		}
		else if (i == a.length()-1)
		{
			if (niz[a[i] - 48] > 1 && a[i] != a[i - 1])
			{
				rez++;
				niz[a[i] - 48]--;
			}
			else niz[a[i] - 48]--;
		}
	}
	cout << rez;
	return 0;
}